Download it now!
Bug 82070 - FILEOPEN: RTF - Regression in ToC heading style
Summary: FILEOPEN: RTF - Regression in ToC heading style
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, filter:rtf, regression
Depends on:
Blocks: RTF-Styles RTF-TableofContents
  Show dependency treegraph
 
Reported: 2014-08-03 00:02 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-24 14:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
LibO 3.6 VS 4.3.1 (226.39 KB, image/png)
2014-08-03 00:02 UTC, Yousuf Philips (jay) (retired)
Details
TOC page in 4.4 (197.83 KB, image/png)
2014-08-03 22:07 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-03 00:02:54 UTC
Created attachment 103880 [details]
LibO 3.6 VS 4.3.1

Steps:
1) Open attachment 103815 [details] in Word 2013 and convert to RTF, else open < https://drive.google.com/file/d/0B6qJrVIa0SAlbHNZaDRsYlVpQkU/edit?usp=sharing >
2) scroll down to page 3 and you'll see the words 'Table of Contents' has the wrong style when comparing it with the attached screenshot

Tested in 4.3.1 and 4.2.5. Regression that begin in 4.0.x.
Comment 1 Jorendc 2014-08-03 14:45:23 UTC
Looks fixed to me in Version: 4.4.0.0.alpha0+
Build ID: 6528607d34c9a2098ff5eec051fc9299ec37dfd7
TinderBox: Win-x86@39, Branch:master, Time: 2014-08-03_07:56:26

@Jay: you mind retesting?
Comment 2 Yousuf Philips (jay) (retired) 2014-08-03 22:07:13 UTC
Created attachment 103946 [details]
TOC page in 4.4
Comment 3 Yousuf Philips (jay) (retired) 2014-08-03 22:22:29 UTC
In 4.4, the size of the font seems correct but not the font name, as its showing as Times New Roman (but that could be related to another bug - bug 81944).
Comment 4 Owen Genat (retired) 2014-08-23 12:18:55 UTC
(In reply to comment #0)
> 2) scroll down to page 3 and you'll see the words 'Table of Contents' has
> the wrong style when comparing it with the attached screenshot

Under GNU/Linux using the indicated versions I see the font settings described:

- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b "Table of Contents " (including trailing space) is set in Verdana 16pt bold. 
- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a "Table of Contents " (including trailing space) is set in Times New Roman 12pt.
- v4.2.5.2 Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5 "Table of Contents " (including trailing space) is set in Liberation Serif 12pt.
- v4.4.0.0.alpha0+ Build ID: e379401618268ed7f7f5885a36b90e1f4f6cd4af TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-08-18_05:51:03 "Table of Contents " (including trailing space) is set in Verdana 16pt (but not bold). 

Confirmed. Status set to NEW.
Comment 5 Yousuf Philips (jay) (retired) 2014-08-23 14:58:36 UTC
Closing this as it is fixed now as the text isnt supposed to be bold like 3.6.
Comment 6 Robinson Tryon (qubit) 2015-12-17 10:45:33 UTC Comment hidden (obsolete)